Bug 1100787 - xylib-1.6 is available
Summary: xylib-1.6 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xylib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcin Wojdyr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-23 12:37 UTC by Upstream Release Monitoring
Modified: 2020-11-03 01:29 UTC (History)
1 user (show)

Fixed In Version: xylib-1.6-1.fc33 xylib-1.6-1.fc32
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-03 00:58:39 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (14.81 KB, patch)
2016-12-18 12:22 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 1.6 (#1100787) (1.09 KB, patch)
2020-09-14 16:31 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2014-05-23 12:37:37 UTC
Latest upstream release: 1.3
Current version/release in Fedora Rawhide: 1.2-1.fc20
URL: https://api.github.com/repos/wojdyr/xylib/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2015-04-01 01:39:51 UTC
Latest upstream release: v1.4
Current version/release in rawhide: 1.2-5.fc22
URL: https://github.com/wojdyr/xylib

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 2 Upstream Release Monitoring 2015-04-01 01:39:58 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-9R3l3J/xylib.spec
return code:  22
stdout:
Getting http://downloads.sourceforge.net/xylib/xylib-v1.4.tar.bz2 to ./xylib-v1.4.tar.bz2

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 3 Upstream Release Monitoring 2016-12-18 12:22:28 UTC
Latest upstream release: v1.5
Current version/release in rawhide: 1.4-8.fc24
URL: https://github.com/wojdyr/xylib

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/5276/

Comment 4 Upstream Release Monitoring 2016-12-18 12:22:48 UTC
Patching or scratch build for xylib-1.4 failed.

Comment 5 Upstream Release Monitoring 2016-12-18 12:22:49 UTC
Created attachment 1233119 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 6 Upstream Release Monitoring 2016-12-18 12:22:51 UTC
Patches were not touched. All were applied properly

Comment 7 Marcin Wojdyr 2016-12-18 14:24:28 UTC
(In reply to Upstream Release Monitoring from comment #2)

> Getting http://downloads.sourceforge.net/xylib/xylib-v1.4.tar.bz2 to
> ./xylib-v1.4.tar.bz2

> curl: (22) The requested URL returned error: 404 Not Found

FTR it should be:
https://github.com/wojdyr/xylib/releases/download/v1.5/xylib-1.5.tar.bz2

(it's better to wait with the update until fityk 1.3.1 is released and packaged, which I should do asap)

Comment 8 Upstream Release Monitoring 2020-09-14 16:30:56 UTC
Latest upstream release: 1.6
Current version/release in rawhide: 1.4-20.fc32
URL: https://github.com/wojdyr/xylib

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/5276/

Comment 9 Upstream Release Monitoring 2020-09-14 16:31:00 UTC
Created attachment 1714827 [details]
[patch] Update to 1.6 (#1100787)

Comment 10 Upstream Release Monitoring 2020-09-14 16:36:12 UTC
the-new-hotness/release-monitoring.org's scratch build of xylib-1.6-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=51451591

Comment 11 Fedora Update System 2020-10-25 15:15:31 UTC
FEDORA-2020-88570ccba3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-88570ccba3

Comment 12 Fedora Update System 2020-10-26 01:18:23 UTC
FEDORA-2020-c75fbb27a9 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c75fbb27a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c75fbb27a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-26 01:37:30 UTC
FEDORA-2020-88570ccba3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-88570ccba3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-88570ccba3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-03 00:58:39 UTC
FEDORA-2020-c75fbb27a9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-11-03 01:29:33 UTC
FEDORA-2020-88570ccba3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.